{config, ...}:
{
  imports = [ ];
  services.prometheus.exporters.node = {
    enable = true;
    port = 9100;
  # Aligned with https://git.rwth-aachen.de/fsdmath/server/prometheus/-/blob/main/node_exporter/etc/default/prometheus-node-exporter
  # Original reasons are for these lists are unknown, but along the lines
  # “This looks useless for VMs, but that seems nice.”
    disabledCollectors = [
      "arp"
      "bcache"
      "btrfs"
      "dmi"
      "fibrechannel"
      "infiniband"
      "nvme"
      "powersupplyclass"
      "rapl"
      "selinux"
      "tapestats"
      "thermal_zone"
      "udp_queues"
      "xfs"
      "zfs"
    ];
    enabledCollectors = [
      "buddyinfo"
      "ksmd"
      "logind"
      "mountstats"
      "processes"
    ];
  };
  networking.firewall.allowedTCPPorts = [ 9100 ];
  environment.persistence.${config.impermanence.name}.directories = [ "/var/lib/${config.services.prometheus.stateDir}" ];
}
